Shotwell 0.32.13 (stable) - 8 Jun 2025
 * Fix broken meson file

Shotwell 0.32.12 (stable) - 8 Jun 2025
 * Fix broken appdata

Shotwell 0.32.11 (stable) - 8 Jun 2025
 * Fix wrong "Error -53" dialog when plugging in phone
 * Fix issue when Google Photos returns empty response
 * Fix assertion when deleting an image in fullscreen view
 * Add a work-around comments with "charset=" prefix
 * Fix publishing Google Photos

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/339
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5095
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5150
 - https://gitlab.gnome.org/GNOME/shotwell/issues/80

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/92
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/94
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/93

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Andika Triwidada <atriwidada@gnome.org>

Added/updated translations:
 - id.po, courtesy of Andika Triwidada

Shotwell 0.32.10 (stable) - 27 Oct 2024
 * Add information to log and about about running environment
 * Fix video description upload for YouTube
 * Fix a regression causing a crash in crop again
 * Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5129

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Juliano de Souza Camargo <julianosc@protonmail.com>
 - Daniel Rusek <mail@asciiwolf.com>
 - Sergej A. <asvmail.as@gmail.com>
 - Jürgen Benvenuti <jbenvenuti@gnome.org>
 - Balázs Úr <balazs@urbalazs.hu>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Martin <miles@filmsi.net>

Added/updated translations:
 - ru.po, courtesy of Ser82-png
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan
 - cs.po, courtesy of Daniel Rusek
 - de.po, courtesy of Jürgen Benvenuti
 - hu.po, courtesy of Balázs Úr
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Juliano de Souza Camargo
 - sl.po, courtesy of Martin Srebotnjak
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.32.9 (stable) - 15 Sep 2024
 * Address Google YouTube API usage review comments
 * Fix a memory leak during slideshows
 * Fix a compile error if OpenCV does not come with DNN support
 * Fix issue with missing application icon on Wayland compositors
 * Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5122
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5123

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/89

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>
 - Balázs Úr <balazs@urbalazs.hu>
 - Andika Triwidada <atriwidada@gnome.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Martin <miles@filmsi.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Balló György <ballogyor@gmail.com>
 - Juliano de Souza Camargo <julianosc@protonmail.com>

Added/updated translations:
 - eu.po, courtesy of Asier Sarasua Garmendia
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Andika Triwidada
 - pt_BR.po, courtesy of Juliano de Souza Camargo
 - sl.po, courtesy of Martin Srebotnjak
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.32.8 (stable) - 11 Aug 2024
 * Fix an abort if WEBP contains animation
 * Fix expensinve DateTime comparison
 * Fix an assert on batch importing
 * Prevent Events being resorted on startup
 * Prevent navigation tree being re-layouted all the time while populating

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/2766
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5116

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/88

All contributors to this release:
 - Jens Georg <mail@jensge.org>

Shotwell 0.32.7 (stable) - 30 Jun 2024
 * Avoid an abort if WEBP files are corrupted somewhere after the initial header
 * Fix border colors in the thumbnail view
 * Fix transparent image background setting actually doing something
 * Deprecate the --datadir option outside of --profile --create
 * Change the error message to something more sensible if a file cannot be
   read on import
 * Move Tumblr authentication to the full OAUTH1 flow with an external browser
 * Fix an issue with translation of month format strings
 * Fix an abort if XdpPortal is not available, show error message instead
 * Add Swedish translation of an image in help
 * Updated translations

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4919
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5016
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5101

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/87
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/83
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/81

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Balázs Úr <balazs@urbalazs.hu>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Artur S0 <arturios05@bk.ru>
 - Rodrigo Lledó <rodhos92@gmail.com>
 - Martin <miles@filmsi.net>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Rūdolfs Mazurs <alta.liepa@gmail.com>
 - Andi Chandler <andi@gowling.com>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>

Added/updated translations:
 - en_GB.po, courtesy of Bruce Cowan
 - es.po, courtesy of Daniel Mustieles García
 - eu.po, courtesy of Asier Sarasua Garmendia
 - hu.po, courtesy of Balázs Úr
 - lv.po, courtesy of Rūdolfs Mazurs
 - ru.po, courtesy of Artur So
 - sl.po, courtesy of Martin Srebotnjak
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.32.6 (stable) - 14 Feb 2024
 * Fix everything gone wrong with .5 -.-

Shotwell 0.32.5 (stable) - 14 Feb 2024
 * Fix missing scalable application icon
 * Fix missing icon of viewer application in overview
 * Fix always maximizing the viewer window
 * Remove internal web view for OAUTH flow
 * Remove "Import from Application" menu item 

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5044
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5051
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5088

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Aurimas Černius <aurisc4@gmail.com>
 - Martin <miles@filmsi.net>
 - Jürgen Benvenuti <jbenvenuti@gnome.org>
 - Sergej A. <asvmail.as@gmail.com>

Added/updated translations:
 - ru.po, courtesy of Ser82-png
 - de.po, courtesy of Jürgen Benvenuti
 - lt.po, courtesy of Aurimas Černius
 - sl.po, courtesy of Martin Srebotnjak

Shotwell 0.32.4 (stable) - 02 Dec 2023
 * Fix left/right navigation in slideshow
 * Fix slideshow not starting if video is the first selected item
 * Make Ctrl-Enter close the description editor
 * Fix a crash in crop and redeye tool
 * Basic Support for MPO files
 * Escape the text in profile browser
 * Add support for shuffled slideshows
 * Add missing name for filter in Save As dialog
 * Add Shift-Drop for export of original file
 * Simplified export conflict resolution dialog
 * Allow setting wallpaper slideshows even if videos are selected
 * Fix video meta-data reading
 * Make profile browser an action in main launcher
 * Add dump of available image codecs and meta-data support
 * Fix showing the original photo with shift if photo was modified externally
 * Fix a crash when moving crop area on scaled displays
 * Fix crop area jumping on scaled displays 

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5085
 - https://bugzilla.gnome.org/show_bug.cgi?id=793552
 - https://gitlab.gnome.org/GNOME/shotwell/issues/2531
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4906
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4998
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5008
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5035
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5066
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5067
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5068
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5079
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5083
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5084

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/77

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Ian Harding <iharding01@proton.me>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Artur S0 <arturios05@bk.ru>
 - Will Thompson <will@willthompson.co.uk>
 - Ekaterine Papava <papava.e@gtu.ge>

Added/updated translations:
 - id.po, courtesy of Kukuh Syafaat
 - ka.po, courtesy of Ekaterine Papava
 - ru.po, courtesy of Artur So
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.32.3 (stable) - 16 Nov 2023
 * Fix asking twice on closing viewer with modified image
 * Do not try to reload photo on shutdown
 * Do not abort if new thumbnail size does not exist
 * Open fullscreen windows on correct monitor
 * Do not show toolbar if mouse is on another monitor
 * Do not leak zoom buffers
 * Remove length limit for GPhoto import
 * Be more robust against invalid UTF-8 filenames
 * Drop some old work-arounds

Bugs fixed in this release:
 - https://bugs.launchpad.net/bugs/1988490
 - https://gitlab.gnome.org/GNOME/Initiatives/-/issues/35
 - https://gitlab.gnome.org/GNOME/shotwell/issues/232
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5063
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5069
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5069
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5071
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5074
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5078

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>
 - Martin <miles@filmsi.net>
 - Balázs Úr <balazs@urbalazs.hu>
 - Andika Triwidada <atriwidada@gnome.org>

Added/updated translations:
 - id.po, courtesy of Andika Triwidada
 - eu.po, courtesy of Asier Sarasua Garmendia
 - hu.po, courtesy of Balázs Úr
 - sl.po, courtesy of Martin Srebotnjak

Shotwell 0.32.2 (stable) - 22 Jul 2023
 * Fix using wrong data folder when starting profile through browser
 * Fix sendto in flatpak environment
 * Support HEIF files with HIF extension
 * Fix meta-data being written in a loop
 * Fix detecting false mtime changes
 * Fix broken aspect ratio of thumbnail when using external editors
 * Fix critical when exporting file with no exposure date
 * Fix minor leak in Flickr and Google authenticators
 * Enable C&P of paths in profile editor
 * Translation updates

Bugs fixed in this release:
 - https://github.com/flathub/org.gnome.Shotwell/issues/46
 - https://gitlab.gnome.org/GNOME/shotwell/issues/230
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5048
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5049
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5059

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/75

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Ihor M <erwaht@gmail.com>
 - Daniel Rusek <mail@asciiwolf.com>
 - Kryštof Černý <cleverline1mc@gmail.com>
 - Sabri Ünal <libreajans@gmail.com>

Added/updated translations:
 - cs.po, courtesy of Daniel Rusek
 - tr.po, courtesy of Sabri Ünal

Shotwell 0.32.1 (stable) - 09 May 2023
 * Fix version display in about dialog when not building from git
 * Fix settings schema migration when source is using obsolete
   keys 
 * Fix setting slideshow duration settings
 * Make facedetect helper somewhat more robust if opencv calls
   fail
 * Explicitly handle BigTIFF

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5040

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/73

All contributors to this release:
 - Matt Turner <mattst88@gmail.com>
 - Jens Georg <mail@jensge.org>

Shotwell 0.32.0 (stable) - 22 Apr 2023
 * Fix generating video thumbnails if debugging is enabled
 * Add JPEG XL support
 * Fix display of duplicate tags in suggestion popup
 * Support more variants of HEIF
 * Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5034

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/72

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Philipp Kiemle <philipp.kiemle@gmail.com>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Sabri Ünal <libreajans@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Aleksandr Melman <Alexmelman88@gmail.com>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Ekaterine Papava <papava.e@gtu.ge>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Mike Auty <mike.auty@gmail.com>

Added/updated translations:
 - de.po, courtesy of Philipp Kiemle
 - id.po, courtesy of Kukuh Syafaat
 - ka.po, courtesy of Ekaterine Papava
 - pl.po, courtesy of Piotr Drąg
 - ru.po, courtesy of Aleksandr Melman
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Sabri Ünal
 - uk.po, courtesy of Yuri Chornoivan

 Shotwell 0.31.90 (beta) - 04 Apr 2023
 * Fix display of f-number
 * Fix several issues with unset exposure times
 * Properly read exposure time from video files with GStreamer
 * Fix display of time shift in AdjustDateTime dialog
 * Support HEIF/HEVC files
 * Support MXF files
 * Fix issues with continously shifting images by time zone offset
 * Minor UX enhancements with profile editor
 * Fix alternate month names in sidebar
 * Support .nomedia files when importing from folder
 * Fix missing icon on import page
 * Enable face recognition
 * Clean up face detection and recognition helper
 * Update haarcascade file
 * Support profile haarcascade
 * Support HiDPI for photo viewer and tools
 * Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/124
 - https://gitlab.gnome.org/GNOME/shotwell/issues/162
 - https://gitlab.gnome.org/GNOME/shotwell/issues/203
 - https://gitlab.gnome.org/GNOME/shotwell/issues/220
 - https://gitlab.gnome.org/GNOME/shotwell/issues/289
 - https://gitlab.gnome.org/GNOME/shotwell/issues/336
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5000
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5017
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5022
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5024
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5027
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5028
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5029

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/66
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/68
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/69
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/67
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/66

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Sabri Ünal <libreajans@gmail.com>
 - Mike Auty <mike.auty@gmail.com>
 - Sergej A <asvmail.as@gmail.com>
 - Aleksandr Melman <Alexmelman88@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Jürgen Benvenuti <jbenvenuti@gnome.org>
 - Irénée THIRION <irenee.thirion@e.email>
 - Jordi Mas <jmas@softcatala.org>
 - Andika Triwidada <atriwidada@gnome.org>
 - Balázs Úr <balazs@urbalazs.hu>
 - Aurimas Černius <aurisc4@gmail.com>
 - Hugo Carvalho <hugokarvalho@hotmail.com>
 - Martin <miles@filmsi.net>
 - Yosef Or Boczko <yoseforb@gnome.org>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Mike Playle <mike@mythik.co.uk>
 - Ngọc Quân Trần <vnwildman@gmail.com>
 - Goran Vidović <trebelnik2@gmail.com>
 - Alan Mortensen <alanmortensen.am@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Quentin PAGÈS <pages_quentin@hotmail.com>
 - Ekaterine Papava <papava.e@gtu.ge>
 - Olga Smirnova <mistresssilvara@hotmail.com>

Added/updated translations:
 - ru.po, courtesy of Ser82-png
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - da.po, courtesy of Alan Mortensen
 - de.po, courtesy of Jürgen Benvenuti
 - eu.po, courtesy of Asier Sarasua Garmendia
 - fr.po, courtesy of Irénée Thirion
 - he.po, courtesy of Yosef Or Boczko
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Andika Triwidada
 - ie.po, courtesy of OIS
 - ka.po, courtesy of Ekaterine Papava
 - lt.po, courtesy of Aurimas Černius
 - pl.po, courtesy of Piotr Drąg
 - pt.po, courtesy of Hugo Carvalho
 - pt_BR.po, courtesy of Rafael Fontenelle
 - ru.po, courtesy of Aleksandr Melman
 - sl.po, courtesy of Martin Srebotnjak
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Sabri Ünal
 - uk.po, courtesy of Yuri Chornoivan
 - vi.po, courtesy of Trần Ngọc Quân
 - zh_TW.po, courtesy of Cheng-Chia Tseng
 
Shotwell 0.31.7 (development) - 03 Dec 2022
 * Actually run database upgrage necessary for date/time changes
 * Fix comparing unset date/time values

All contributors to this release:
 - Jens Georg <mail@jensge.org>

Shotwell 0.31.6 (development) - 03 Dec 2022
 * Improved interaction when exporting files that end up
   with a similar name
 * Google Photos: Fix batch uploading
 * Tumblr: Fix not remembering login credentials
 * Improve handling of images that do not have a GPS altitude
 * Have import from folder follow symlinks
 * Add an user interface to interact with the new profile
   feature
 * Make a couple of UI strings clearer
 * Remove video interpreter state handling - completely broken
   and potentially responsible for causing indefinite re-checking
   of video files
 * Improve touchpad scaling vs scrolling
 * Always enable face tagging. Face detection and recognition is 
   still opt-in on compile time due to the rather large OpenCV
   dependency
 * Support creating hierarchical tags by using /a/sytax/with/slashes
 * Use libportal to implement SendTo and Wallpaper settings
 * Initial support for having multiple accounts per publishing service
   So far only works for Piwigo instances
 * Create a new plugin preferences panel (prepare for account management)
 * Convert all publishing processes to async libsoup3. With HTTPS/2
   becoming more prominent, the old method broke really hard and was
   a bad habit anyway.
 * Fix an issue with the Saturation slider
 * Remove a bunch of deprecated calls
 * Remove deprecated date/time handling. Use DateTime more or less everywhere.
 * Allow media to have exposure dates before 1.1.1970 00:00
 * Lots of translation updates

Bugs fixed in this release:
 - Closes: https://gitlab.gnome.org/GNOME/shotwell/-/issues/92
 - https://gitlab.gnome.org/GNOME/shotwell/issues/18
 - https://gitlab.gnome.org/GNOME/shotwell/issues/222
 - https://gitlab.gnome.org/GNOME/shotwell/issues/281
 - https://gitlab.gnome.org/GNOME/shotwell/issues/2830
 - https://gitlab.gnome.org/GNOME/shotwell/issues/326
 - https://gitlab.gnome.org/GNOME/shotwell/issues/44
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4947
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4978
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4984
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4985
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4989
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4990
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4993
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4996
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5014
 - https://gitlab.gnome.org/GNOME/shotwell/issues/5015
 - https://gitlab.gnome.org/GNOME/shotwell/issues/92

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/24
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/61
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/60
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/58
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/59

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Sabri Ünal <libreajans@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Balázs Úr <balazs@urbalazs.hu>
 - Zurab Kargareteli <zuraxt@gmail.com>
 - Aleksandr Melman <Alexmelman88@gmail.com>
 - Goran Vidović <trebelnik2@gmail.com>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Enrico Nicoletto <hiko@duck.com>
 - Jordi Mas <jmas@softcatala.org>
 - maf <maf@tkrat.org>
 - Quentin PAGÈS <pages_quentin@hotmail.com>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Bartłomiej Piotrowski <b@bpiotrowski.pl>
 - Emin Tufan Çetin <etcetin@gmail.com>

Added/updated translations:
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Kukuh Syafaat
 - ka.po, courtesy of Temuri Doghonadze
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Enrico Nicoletto
 - ru.po, courtesy of Aleksandr Melman
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Sabri Ünal
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.31.5 (development) - 19 Jul 2022
 * Port to libsoup3

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/56

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Julia Dronova <juliette.tux@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>

Added/updated translations:
 - pt_BR.po, courtesy of Rafael Fontenelle
 - ru.po, courtesy of Ser82-png

Shotwell 0.31.4 (development) - 21 Jun 2022
  * Move video meta-data reading into external process
  * Fix memory leak while importing from camera
  * Speed up raw meta-data reading
  * Improve Welcome Dialog wording
  * Improve google photos upload for > 50 photos
  * Support CR3 files
  * Use mail portal instead of nautilus-sendto
  * Support AVIF files
  * Fix import from SONY A7C
  * Remove Map widget
  * Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/111
 - https://gitlab.gnome.org/GNOME/shotwell/issues/111
 - https://gitlab.gnome.org/GNOME/shotwell/issues/128
 - https://gitlab.gnome.org/GNOME/shotwell/issues/199
 - https://gitlab.gnome.org/GNOME/shotwell/issues/286
 - https://gitlab.gnome.org/GNOME/shotwell/issues/286
 - https://gitlab.gnome.org/GNOME/shotwell/issues/286
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4927
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4927
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4929
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4929
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4929
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4930
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4930
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4930
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4946
 - https://gitlab.gnome.org/GNOME/shotwell/issues/4977

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/55
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/53
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/52
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/51
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/50
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/48
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/47
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/46
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/45
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/44
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/42
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/40
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/39

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Matej Urbančič <mateju@src.gnome.org>
 - Jordi Mas <jmas@softcatala.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Marek Černocký <marek@manet.cz>
 - Quentin PAGÈS <pages_quentin@hotmail.com>
 - Balázs Úr <balazs@urbalazs.hu>
 - sicklylife <translation@sicklylife.jp>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Phred <fearphage@gmail.com>
 - Hugo Carvalho <hugokarvalho@hotmail.com>
 - Philipp Kiemle <philipp.kiemle@gmail.com>
 - Boyuan Yang <073plan@gmail.com>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Goran Vidović <trebelnik2@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Aurimas Černius <aurisc4@gmail.com>
 - Eric <eric.daigle@zaclys.net>
 - Sergej A <asvmail.as@gmail.com>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Richard B. Kreckel <rbk@in.terlu.de>
 - Sergej A <sw@atrus.ru>
 - Alan Mortensen <alanmortensen.am@gmail.com>
 - Yosef Or Boczko <yoseforb@gnome.org>
 - Mike Auty <mike.auty@gmail.com>
 - Matheus Barbosa <mdpb.matheus@gmail.com>
 - Niklas Srich <sirniklax@gmail.com>
 - Claude Paroz <claude@2xlibre.net>
 - Eli Schwartz <eschwartz@archlinux.org>
 - Aleksandr Melman <Alexmelman88@gmail.com>
 - Emin Tufan Çetin <etcetin@gmail.com>
 - Rodrigo Lledó <rodhos92@gmail.com>
 - Isak Bergdahl <isak.bergdahl@yahoo.com>
 - Dz Chen <wsxy162@gmail.com>
 - Gun Chleoc <fios@foramnagaidhlig.net>
 - Ngọc Quân Trần <vnwildman@gmail.com>
 - Joseph Bylund <joseph.bylund@gmail.com>
 - Andre Klapper <a9016009@gmx.de>
 - Florentina Mușat <florentina.musat.28@gmail.com>

Added/updated translations:
 - ca.po, courtesy of Jaume Jorba
 - cs.po, courtesy of Marek Černocký
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - cs.po, courtesy of Marek Černocký
 - da.po, courtesy of Alan Mortensen
 - de.po, courtesy of Philipp Kiemle
 - es.po, courtesy of Daniel Mustieles García
 - fr.po, courtesy of J-Paul Bérard
 - gd.po, courtesy of GunChleoc
 - he.po, courtesy of Yosef Or Boczko
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Kukuh Syafaat
 - ja.po, courtesy of sicklylife
 - lt.po, courtesy of Aurimas Černius
 - pl.po, courtesy of Piotr Drąg
 - pt.po, courtesy of Hugo Carvalho
 - pt_BR.po, courtesy of Matheus Barbosa
 - ro.po, courtesy of Florentina Mușat
 - ru.po, courtesy of Ser82-png
 - sl.po, courtesy of Matej Urbančič
 - sr.po, courtesy of Мирослав Николић
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Emin Tufan Çetin
 - uk.po, courtesy of Yuri Chornoivan
 - vi.po, courtesy of Trần Ngọc Quân
 - zh_CN.po, courtesy of Boyuan Yang
 - zh_TW.po, courtesy of Cheng-Chia Tseng

Shotwell 0.31.3 (development) - 22 Dec 2020
  * Store publishing secrets using libsecret
  * Fix rotation keybinding for viewer
  * Fix a missing menu item
  * Many translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/218
 - https://gitlab.gnome.org/GNOME/shotwell/issues/260
 - https://gitlab.gnome.org/GNOME/shotwell/issues/290
 - https://gitlab.gnome.org/GNOME/shotwell/issues/301
 - https://gitlab.gnome.org/GNOME/shotwell/issues/312

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/37
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/36
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/35

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Jordi Mas <jmas@softcatala.org>
 - sicklylife <translation@sicklylife.jp>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Andika Triwidada <atriwidada@gnome.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Jordan Petridis <jpetridis@gnome.org>
 - Emin Tufan Çetin <etcetin@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Goran Vidović <trebelnik2@gmail.com>
 - Balázs Úr <balazs@urbalazs.hu>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Florentina Mușat <emryslokadottir@gmail.com>

Added/updated translations:
 - ca.po, courtesy of Jaume Jorba
 - cs.po, courtesy of Marek Černocký
 - id.po, courtesy of Andika Triwidada
 - sv.po, courtesy of Anders Jonsson
 - uk.po, courtesy of Yuri Chornoivan
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - cs.po, courtesy of Marek Černocký
 - es.po, courtesy of Daniel Mustieles
 - eu.po, courtesy of Asier Sarasua Garmendia
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Andika Triwidada
 - ja.po, courtesy of sicklylife
 - kk.po, courtesy of Baurzhan Muftakhidinov
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Enrico Nicoletto
 - ro.po, courtesy of Florentina Mușat
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Emin Tufan Çetin
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.31.2 - 22 May 2020
  * Documentation updates and clean-up
  * Drop obsolete settings
  * Add WEBP and GIF to viewer's desktop file
  * Use new mapbox tiles for the map view
  * Flickr: Upload description and title
  * General OAuth1 clean-up and simplifications
  * Flickr: Show the new quotas (images uploaded)
  * Make face detection and recognition compatible with OpenCV 4
  * Fix shortcuts for previous/next photo in menus
  * Migrate GSettings from org.yorba to org.gnome
  * Fix initialization of the theme being too late
  * Bring some consistency into the settings summaries and descriptions
  * Google Photos: Fix a critical when target album is not available
  * YouTube: Remove an obsolete label from the publishing dialog
  * Authenticator: Make links in the shown web page open in external browser
  * Google Photos/YouTube: Update explanatory texts before log in.
  * Flickr: Fix the log in
  * Many translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/issues/157
 - https://gitlab.gnome.org/GNOME/shotwell/issues/193
 - https://gitlab.gnome.org/GNOME/shotwell/issues/212
 - https://gitlab.gnome.org/GNOME/shotwell/issues/216
 - https://gitlab.gnome.org/GNOME/shotwell/issues/217
 - https://gitlab.gnome.org/GNOME/shotwell/issues/221
 - https://gitlab.gnome.org/GNOME/shotwell/issues/223
 - https://gitlab.gnome.org/GNOME/shotwell/issues/226
 - https://gitlab.gnome.org/GNOME/shotwell/issues/242

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/33

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - sicklylife <translation@sicklylife.jp>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Andre Klapper <a9016009@gmx.de>
 - Justin van Steijn <jvs@fsfe.org>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - scootergrisen <scootergrisen@gmail.com>

Added/updated translations:
 - es.po, courtesy of Daniel Mustieles
 - id.po, courtesy of Kukuh Syafaat
 - ja.po, courtesy of sicklylife
 - nl.po, courtesy of Justin van Steijn
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Rafael Fontenelle
 - sv.po, courtesy of Anders Jonsson
 - te.po, courtesy of Krishnababu Krothapalli
 - uk.po, courtesy of Yuri Chornoivan
 - zh_TW.po, courtesy of Cheng-Chia Tseng

Shotwell 0.31.1 - 4 Mar 2020
  * Fix an issue when pressing the down key in a slideshow
  * Face recognition: Properly fall back to face detection when there is no DNN
    file
  * GPS: Export GPS meta-data
  * GPS: Changed GPS will trigger meta-data export
  * Piwigo: Fix crash when the certificate information is broken
  * Add profiles
  * Fix an issue with git annex due to not properly recognizing symlinks
  * Doc: Update the manpage
  * Google Photos: Do not crash if title is missing
  * Authenticator: Do not crash if service connection fails
  * Doc: Various syntax fixes in help files
  * Fix Camera detection and unmounting
  * Speed up browsing directories of large files
  * Fix localization of month in the DateTime dialog
  * Tumblr: Fix upload
  * Respect rotation information of videos
  * Piwigo: Enable uploading of rating
  * Port thumbnailer spawning to GLib.Subprocess
  * Remove a couple of deprecated TimeVal uses
  * Fix a couple of "potential null access" warnings during compilation
  * Some code clean-ups

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716418
 - https://gitlab.gnome.org/GNOME/shotwell/issues/122
 - https://gitlab.gnome.org/GNOME/shotwell/issues/134
 - https://gitlab.gnome.org/GNOME/shotwell/issues/149
 - https://gitlab.gnome.org/GNOME/shotwell/issues/158
 - https://gitlab.gnome.org/GNOME/shotwell/issues/166
 - https://gitlab.gnome.org/GNOME/shotwell/issues/19
 - https://gitlab.gnome.org/GNOME/shotwell/issues/196
 - https://gitlab.gnome.org/GNOME/shotwell/issues/202
 - https://gitlab.gnome.org/GNOME/shotwell/issues/211
 - https://gitlab.gnome.org/GNOME/shotwell/issues/38
 - https://gitlab.gnome.org/GNOME/shotwell/issues/80

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/31
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/22
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/20

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Jordi Mas <jmas@softcatala.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Goran Vidović <trebelnik2@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Ryuta Fujii <translation@sicklylife.jp>
 - Balázs Úr <balazs@urbalazs.hu>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Asier Sarasua Garmendia <asier.sarasua@gmail.com>
 - Sabri Ünal <libreajans@gmail.com>
 - sicklylife <translation@sicklylife.jp>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Marek Černocký <marek@manet.cz>
 - David Welch <techy121592@gmail.com>
 - Andre Klapper <a9016009@gmx.de>
 - Hyunsu Shin <sephiron@hanmail.net>
 - Bruce Cowan <bruce@bcowan.me.uk>
 - Joseph Bylund <joseph.bylund+github@gmail.com>
 - Suen Chun Hui <23443533+suenchunhui@users.noreply.github.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Andre Klapper <aklapper@wikimedia.org>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Jor Teron <jor.teron@gmail.com>
 - Stas Solovey <whats_up@tut.by>
 - Tim Sabsch <tim@sabsch.com>

Added/updated translations:
 - ca.po, courtesy of Jaume Jorba
 - cs.po, courtesy of Marek Černocký
 - es.po, courtesy of Daniel Mustieles
 - as.po, courtesy of Nilamdyuti Goswami
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - cs.po, courtesy of Marek Černocký
 - de.po, courtesy of Tim Sabsch
 - en_GB.po, courtesy of Bruce Cowan
 - es.po, courtesy of Daniel Mustieles
 - eu.po, courtesy of Asier Sarasua Garmendia
 - fi.po, courtesy of Jiri Grönroos
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Kukuh Syafaat
 - ja.po, courtesy of sicklylife
 - ko.po, courtesy of Shin Hyunsu
 - mjw.po, courtesy of Jor Teron
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Rafael Fontenelle
 - ru.po, courtesy of Stas Solovey
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Sabri Ünal
 - uk.po, courtesy of Yuri Chornoivan

Shotwell 0.31.0 - 27 Mar 2019
  * Reorganize source tree
  * Visually clean-up saved search editing dialog
  * Use org.freedesktop.FileManager1 instead of calling nautilus directly.
  * Fix some deprecated calls in faces code
  * Fix icon fall-back
  * Add support for reading WEBP
  * Some appdata fixes
  * Skip hidden folders such as .thumbnails
  * Fix missing icons in sidebar
  * Use Gtk.FileChooserNative for nicer portal integration
  * flatpak: several updates of dependencies
  * flatpak: strip-down OpenCV
  * Fix another "unknown source-id" warning
  * Stop spinning the event loop when changing window cursors
  * Several fixes to scroll events
  * Fix tooltips on overview pages
  * Fix issue with ImageHeight and ImageWidth mix-up
  * Strip diacritics from events and tags for better searching
  * Support gexiv2 0.12
  * Add -p/--show-metadata option to Shotwell for dumping meta-data
  * Increase comment limit to 4k chars
  * Fix deprecations in Piwigo builder files
  * Do not make Cancel the default action in the authenication panel
  * Clean-up in several places in the publishers
  * Split-up some of the publishing panel code and move to GtkBuilder
  * Simplify the login landing page for publishing
  * Remove non-functional Facebook publisher code
  * Split-up CheckerBoardLayout.vala file
  * Use nicer messages on empty filters etc.
  * Merge face recognition code
  * Fix fall-back icon for cameras
  * Fix CSS and icon theme initialization code
  * Fix an issue with chaining up the constructors for the main window classes
  * Fix issue with ACDSEE tags parser attaching all known tags to all imported
    images
  * Mege Map support
  * Use my mapbox API token for map support
  * Minor refactor of Page.vala eliminating duplicated code
  * Drop conditionals for old Vala
  * Several fixes with recent Vala versions
  * Page.vala code split-up
  * Various typo fixes
  * Fix issue with artist containing an email address
  * Add optional private DBus communication for faces recognition binary

Bugs fixed in this release:
 - https://bugs.launchpad.net/ubuntu/+source/shotwell/+bug/1723973
 - https://bugzilla.gnome.org/show_bug.cgi?id=717880
 - https://bugzilla.gnome.org/show_bug.cgi?id=718676
 - https://gitlab.gnome.org/GNOME/shotwell/issues/101
 - https://gitlab.gnome.org/GNOME/shotwell/issues/11
 - https://gitlab.gnome.org/GNOME/shotwell/issues/112
 - https://gitlab.gnome.org/GNOME/shotwell/issues/22
 - https://gitlab.gnome.org/GNOME/shotwell/issues/26
 - https://gitlab.gnome.org/GNOME/shotwell/issues/34
 - https://gitlab.gnome.org/GNOME/shotwell/issues/53
 - https://gitlab.gnome.org/GNOME/shotwell/issues/58
 - https://gitlab.gnome.org/GNOME/shotwell/issues/60
 - https://gitlab.gnome.org/GNOME/shotwell/issues/60
 - https://gitlab.gnome.org/GNOME/shotwell/issues/67
 - https://gitlab.gnome.org/GNOME/shotwell/issues/73
 - https://gitlab.gnome.org/GNOME/shotwell/issues/75
 - https://gitlab.gnome.org/GNOME/shotwell/issues/80
 - https://gitlab.gnome.org/GNOME/shotwell/issues/89
 - https://gitlab.gnome.org/GNOME/shotwell/issues/94
 - https://gitlab.gnome.org/GNOME/shotwell/issues/97
 - https://gitlab.gnome.org/GNOME/shotwell/issues/97
 - https://retrace.fedoraproject.org/faf/reports/2020125/

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/19
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/11
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/17
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/16
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/15
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/12
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/8

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Andreas Brauchli <a.brauchli@elementarea.net>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Jordi Mas <jmas@softcatala.org>
 - Balázs Úr <balazs@urbalazs.hu>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Alan Mortensen <alanmortensen.am@gmail.com>
 - Ryuta Fujii <translation@sicklylife.jp>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - gogo <trebelnik2@gmail.com>
 - Christian Kirbach <christian.kirbach@googlemail.com>
 - Timo Jyrinki <timo.jyrinki@iki.fi>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Sabri Ünal <libreajans@gmail.com>
 - Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - NMA <narendra_m_a@yahoo.com>
 - Claude Paroz <claude@2xlibre.net>
 - Daniel Köb <daniel.koeb@peony.at>
 - IBBoard <dev@ibboard.co.uk>
 - Yi-Jyun Pan <pan93412@gmail.com>
 - Moritz <mo@oclab.net>
 - Rodrigo Lledó <rodhos92@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
 - Balázs Meskó <meskobalazs@fedoraproject.org>

Added/updated translations:
 - es.po, courtesy of Daniel Mustieles
 - hu.po, courtesy of Balázs Úr
 - pt_BR.po, courtesy of Rafael Fontenelle
 - sv.po, courtesy of Anders Jonsson
 - ca.po, courtesy of Jordi Mas i Hernàndez
 - cs.po, courtesy of Marek Černocký
 - da.po, courtesy of Alan Mortensen
 - de.po, courtesy of Mario Blättermann
 - es.po, courtesy of Daniel Mustieles
 - fi.po, courtesy of Jiri Grönroos
 - fr.po, courtesy of Claude Paroz
 - hr.po, courtesy of gogo
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Kukuh Syafaat
 - ja.po, courtesy of sicklylife
 - lv.po, courtesy of Rūdolfs Mazurs
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Rafael Fontenelle
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Emin Tufan Çetin
 - uk.po, courtesy of Yuri Chornoivan
 - zh_TW.po, courtesy of pan93412

Shotwell 0.30.2 - 07 Feb 2019
  * Fix maximize on Wayland when double-clicking on title-bar
  * Do not hide the cursor when showing the slideshow settings dialog
  * Fix compatibility with recent vala compilers
  * Fix crash when dismissing file modifications on close
  * Fix issues with google and flickr not being able to log in
  * Replace picasaweb publishing with Google Photos publishing
  * Comply with Flickr API TOS

Bugs fixed in this release:
 - https://bugs.launchpad.net/ubuntu/+source/shotwell/+bug/1723973
 - https://gitlab.gnome.org/GNOME/shotwell/issues/101
 - https://gitlab.gnome.org/GNOME/shotwell/issues/26
 - https://gitlab.gnome.org/GNOME/shotwell/issues/67
 - https://gitlab.gnome.org/GNOME/shotwell/issues/80
 - https://gitlab.gnome.org/GNOME/shotwell/issues/97
 - https://retrace.fedoraproject.org/faf/reports/2020125/

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/shotwell/merge_requests/12

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Ryuta Fujii <translation@sicklylife.jp>
 - Balázs Úr <balazs@urbalazs.hu>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
 - Claude Paroz <claude@2xlibre.net>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations:
 - es.po, courtesy of Daniel Mustieles
 - hu.po, courtesy of Balázs Úr
 - sv.po, courtesy of Anders Jonsson
 - es.po, courtesy of Daniel Mustieles
 - fr.po, courtesy of Claude Paroz
 - hu.po, courtesy of Balázs Úr
 - ja.po, courtesy of sicklylife
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Rafael Fontenelle
 - sv.po, courtesy of Anders Jonsson

Shotwell 0.30.1 - 29 Sep 2018
  * Fix appdata URLs
  * Fix "Show in file manager" issues with single quotes
  * Fix cancelling in sharing dialog
  * Fix progress bar in sharing dialog
  * Piwigo: Fix issue with empty dialog after cancelling upload
  * Fix setting the slideshow delay with the spinner
  * Fix icon fall-back for extensions
  * Fix a critical when an image does not have any meta-data
  * Fix GPS coordinate link in extended information for western longitudes

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=718676
 - https://gitlab.gnome.org/GNOME/shotwell/issues/22
 - https://gitlab.gnome.org/GNOME/shotwell/issues/53
 - https://gitlab.gnome.org/GNOME/shotwell/issues/56

All contributors to this release:
 - Jens Georg <mail@jensge.org>

Shotwell 0.30.0 "Celle" - 10 Sep 2018
  * Translation updates
  * Last-minute fix for random segfaults in GSettings

Bugs fixed in this release:
  https://gitlab.gnome.org/GNOME/shotwell/issues/34

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
 - gogo <trebelnik2@gmail.com>
 - Balázs Meskó <meskobalazs@fedoraproject.org>

Added/updated translations
 - hr, courtesy of gogo
 - hu, courtesy of Meskó Balázs
 - lv, courtesy of Rūdolfs Mazurs
 - sv, courtesy of Anders Jonsson

Shotwell 0.29.92 - 02 Sep 2018
  * Translation updates and build fixes

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Chris Ladd <caladd@particlestorm.net>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Andre Klapper <a9016009@gmx.de>

Added/updated translations
 - fr, courtesy of arverne73
 - id, courtesy of Kukuh Syafaat
 - zh_TW, courtesy of Cheng-Chia Tseng

Shotwell 0.29.91 - 16 Aug 2018
  * Add unstable release flatpakref file
  * Remove use of stderr in thumbnailer
  * Remove Facebook publishing plugin from list of default
    plugins
  * Translation updates

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - NarendraMA <narendra_m_a@yahoo.com>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Emin Tufan Çetin <etcetin@gmail.com>
 - Daniel Mustieles <daniel.mustieles.contractor@bbva.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jiri Grönroos
 - tr, courtesy of Emin Tufan Çetin

Shotwell 0.29.4 - 20 Jul 2018
  * Fix unmounting of MTP devices
  * Add work-around for PTP devices not showing up anymore
  * Minor visual fixes for new extended properties view
  * Make it possible to override plugin search path
  * Some icon fixes
  * Add feature to flick through the images of an event
    by mouse hover
  * Remove video sprockets
  * Update libraw in flatpak to 0.18.13
  * Leave import-roll sidebar closed by default
  * French translation of shotwell's help

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Carsten Csiky (csicar) <carsten.csiky@gmail.com>
 - Claude Paroz <claude@2xlibre.net>
 - Yi-Soo An <yisooan@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>

Added/updated translations
 - de, courtesy of Mario Blättermann
 - fr, courtesy of arverne73
 - fr, courtesy of Claude Paroz

Shotwell 0.29.3 - 20 Jun 2018
  * Fix Slideshow settings dialog
  * Re-merge faces branch to master
  * Introduce flatpak infrastructure
  * Fix OAuth2 token fetching from Google login
  * Move extended properties into a sidebar


Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716192
 - https://bugzilla.gnome.org/show_bug.cgi?id=716704
 - https://bugzilla.gnome.org/show_bug.cgi?id=772339
 - https://bugzilla.gnome.org/show_bug.cgi?id=796370
 - https://gitlab.gnome.org/GNOME/shotwell/issues/10
 - https://gitlab.gnome.org/GNOME/shotwell/issues/12

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Ricardo Fantin da Costa <ricardofantin@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Yi-Jyun Pan <pan93412@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Claude Paroz <claude@2xlibre.net>

Added/updated translations
 - fr, courtesy of arverne73
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - tr, courtesy of Emin Tufan Çetin
 - zh_TW, courtesy of pan93412

Shotwell 0.29.2 - 22 May 2018
  * Fix "out of memory issue" on HiDPI screens
  * Replace all icons with their symbolic variant
  * General icon clean-up
  * Render CheckerboardLayout with theme colors_changed
  * Remove possibility for custom background color in library
  * Enable dark theme by default (can be switched off in settings)
  * Fix linked tags (broken by out-of-memory fix)
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=718212
 - https://bugzilla.gnome.org/show_bug.cgi?id=772339
 - https://bugzilla.gnome.org/show_bug.cgi?id=786702
 - https://bugzilla.gnome.org/show_bug.cgi?id=795719
 - See https://developer.gnome.org/hig/stable/typography.html

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Marcos Lans <marcoslansgarza@gmail.com>
 - Joerg C. Frings-Fuerst <bug-reports-extern@jff-webhosting.net>
 - Jens Georg <mail+gitkraken@jensge.org>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - gl, courtesy of marcos
 - pl, courtesy of Piotr Drąg

Shotwell 0.29.1 - 24 Apr 2018
 * Fix issue with meson dist tarball generation

Shotwell 0.29.0 - 24 Apr 2018
  * Fix an issue with undefined symbols with certain compilers
  * Remove autotools supports
  * Add GIF support (read-only, animations not supported)
  * Bump GTK requirement to 3.22 and remove deprecated function calls
  * Change some internal drawing to use GTK+ API instead of using Cairo directly
  * Add import rolls
  * Minor visual improvements
  * Dead code and asset removal

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716284
 - https://bugzilla.gnome.org/show_bug.cgi?id=717833
 - https://bugzilla.gnome.org/show_bug.cgi?id=718742
 - https://bugzilla.gnome.org/show_bug.cgi?id=772339
 - https://bugzilla.gnome.org/show_bug.cgi?id=783268
 - https://bugzilla.gnome.org/show_bug.cgi?id=794293
 - https://bugzilla.gnome.org/show_bug.cgi?id=794456
 - https://bugzilla.gnome.org/show_bug.cgi?id=794673

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jens Georg <mail+gitkraken@jensge.org>
 - gogo <trebelnik2@gmail.com>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Josef Andersson <l10nl18nsweja@gmail.com>
 - Boyuan Yang <073plan@gmail.com>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Alan Mortensen
 - hr, courtesy of gogo
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - sv, courtesy of Josef Andersson
 - zh_CN, courtesy of Boyuan Yang

Shotwell 0.28.0 - 12 Mar 2018
  * Translation updates

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - da, courtesy of Alan Mortensen

Shotwell 0.27.92 - 6 Mar 2018
  * Fix log in to Piwigo if password contains &
  * Fix deleting two photos when pressing Delete
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=718742
 - https://bugzilla.gnome.org/show_bug.cgi?id=793818

All contributors to this release:
 - Jordi Mas <jmas@softcatala.org>
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Tim Sabsch <tim@sabsch.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - gogo <trebelnik2@gmail.com>
 - GNOME Translation Robot <gnome-sysadmin@gnome.org>
 - Daniel Korostil <ted.korostiled@gmail.com>
 - Balázs Úr <balazs@urbalazs.hu>

Added/updated translations
 - ca, courtesy of Carles Ferrando Garcia
 - de, courtesy of Mario Blättermann
 - de, courtesy of Tim Sabsch
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jiri Grönroos
 - gd, courtesy of GunChleoc
 - hr, courtesy of gogo
 - hu, courtesy of Balázs Úr
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - uk, courtesy of Yuri Chornoivan

Shotwell 0.27.4 - 5 Feb 2018
  * Fix a crash when importing in-place from DAV
  * Fix a crash when removing the last photo of an event
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=786531
 - https://bugzilla.gnome.org/show_bug.cgi?id=792498

All contributors to this release:
 - Jordi Mas <jmas@softcatala.org>
 - Jens Georg <mail@jensge.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Marek Cernocky <marek_cernocky@conel.cz>

Added/updated translations
 - ca, courtesy of Carles Ferrando Garcia
 - cs, courtesy of Marek Černocký
 - pt_BR, courtesy of Rafael Fontenelle

Shotwell 0.27.3 - 9 Jan 2018
  * Fix upgrading from Shotwell 0.7.2
  * Make Histogram widget accessible by keyboard
  * Add F4 as shortcut for the Date/Time dialog
  * Fix an issue where the date/time picker was out-of-sync with the
    calendar widget
  * Refactor shotwell.ui into smaller ui files and make some of the
    dialogs templated
  * Rewrite saved search dialog to use GtkListBox
  * Add a very simple Piwigo server to do offline testing
  * Add labels to sliders in adjustment tool
  * Fix issue where Shotwell would fall back to the internal developer
    if the RAW+JPEG pair did not contain an embedded development in the
    RAW files
  * Fix showing the help when running from build folder
  * Fix issue with linking the plugin interfaces multiple times
  * Fix install location for appdata

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716431
 - https://bugzilla.gnome.org/show_bug.cgi?id=717126
 - https://bugzilla.gnome.org/show_bug.cgi?id=753943
 - https://bugzilla.gnome.org/show_bug.cgi?id=790185
 - https://bugzilla.gnome.org/show_bug.cgi?id=790469
 - https://bugzilla.gnome.org/show_bug.cgi?id=791893
 - https://bugzilla.gnome.org/show_bug.cgi?id=792058

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Kukuh Syafaat <syafaatkukuh@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Cheng-Chia Tseng <pswo10680@gmail.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - id, courtesy of Kukuh Syafaat
 - zh_TW, courtesy of Cheng-Chia Tseng

Shotwell 0.27.2 - 11 Dec 2017
  * Use meson for building the debian package
  * Improve the wording for the "Width or Height" scaling constraint
  * Fix unmounting the camera when it is mounted via mtp, not gphoto2
  * Speed up color transformations
  * Refactor Tumblr and Flickr code to use common OAuth1 base class
  * Flickr: Do the authentication in Shotwell, not calling the system browser
  * Fix sorting by title
  * Fix searching for newly added keywords
  * Make it possible to edit month and year easily in date/time picker
  * Doc: Fix keybord shortcut for publishing pane

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=718977
 - https://bugzilla.gnome.org/show_bug.cgi?id=729857
 - https://bugzilla.gnome.org/show_bug.cgi?id=736643
 - https://bugzilla.gnome.org/show_bug.cgi?id=779677
 - https://bugzilla.gnome.org/show_bug.cgi?id=781472
 - https://bugzilla.gnome.org/show_bug.cgi?id=786821
 - https://bugzilla.gnome.org/show_bug.cgi?id=787553
 - https://bugzilla.gnome.org/show_bug.cgi?id=790668

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Josef Andersson <l10nl18nsweja@gmail.com>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Alan Mortensen
 - de, courtesy of Mario Blättermann
 - pl, courtesy of Piotr Drąg
 - sv, courtesy of Josef Andersson
 - zh_TW, courtesy of Cheng-Chia Tseng

Shotwell 0.27.1 - 21 Oct 2017
  * Properly dist meson files with autotools
  * Dist apport helper with autotools
  * Fix checking against unity
  * Build the graphics-processor binary when building with meson
  * Hide toolbar in fullscreen when disabled in settings
  * When clicking ok in import, hide file selector
  * Properly xml-escape the file names in wallpaper.xml
  * Do not re-encode JPEG previews
  * Only create thumbs for RAW imports once
  * Use APPSTREAM instead of APPDATA
  * Improve RAW/JPEG pair matching by sorting file list
  * Fix deprecated "find" icons
  * Fix help for non-recursive photo import
  * Fix menu-bar injection
  * Avoid data corruption when importing from camera
  * Re-use RAW/JPEG association from camera import
  * Rename backing photo when importing to lower case
  * Improve description of mass-storage cameras
  * Improve top-level tool-tips on navigation tree
  * More unicode use
  * When trashing without trash available, also remove RAW file
  * Fix trimming of EXIF thumbs from Canon cameras
  * Import Videos even if they use application/x-extension-mp4
  * Fix missing event pictures when not copying thumbnails
  * Remove Rajce and Yandex plugin from default build
  * Remove useless submenu on saved searches
  * Fix some criticals on context menu actions
  * Some code clean-ups
  * Remove locale-dependent keyboard shortcuts
  * Fix Help to pass yelp-check
  * Fix crash on removing last photo from import roll
  * Fix window icon of start-up dialog
  * Speed-up event creation on import and merge

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=717735
 - https://bugzilla.gnome.org/show_bug.cgi?id=719142
 - https://bugzilla.gnome.org/show_bug.cgi?id=719186
 - https://bugzilla.gnome.org/show_bug.cgi?id=741962
 - https://bugzilla.gnome.org/show_bug.cgi?id=748666
 - https://bugzilla.gnome.org/show_bug.cgi?id=772339
 - https://bugzilla.gnome.org/show_bug.cgi?id=773206
 - https://bugzilla.gnome.org/show_bug.cgi?id=777626
 - https://bugzilla.gnome.org/show_bug.cgi?id=782753
 - https://bugzilla.gnome.org/show_bug.cgi?id=783956
 - https://bugzilla.gnome.org/show_bug.cgi?id=784661
 - https://bugzilla.gnome.org/show_bug.cgi?id=784883
 - https://bugzilla.gnome.org/show_bug.cgi?id=785196
 - https://bugzilla.gnome.org/show_bug.cgi?id=785503
 - https://bugzilla.gnome.org/show_bug.cgi?id=785711
 - https://bugzilla.gnome.org/show_bug.cgi?id=785761
 - https://bugzilla.gnome.org/show_bug.cgi?id=787400

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Jordi Mas <jmas@softcatala.org>
 - Andre Klapper <a9016009@gmx.de>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Marek Černocký <marek@manet.cz>
 - Kukuh Syafaat <syafaatkukuh@gmail.com>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Thomas Moschny <thomas.moschny@gmx.de>
 - Stefan Willinger <stefan.home@aon.at>
 - stefan <stefan.home@aon.at>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Peter Seiderer <ps.report@gmx.net>
 - Marcos Lans <marcoslansgarza@gmail.com>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Jeremy Bicha <jbicha@ubuntu.com>
 - Isaac F. Ferreira Filho <isaacmob@riseup.net>
 - Gert <gw.fossdev@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Brian Masney <masneyb@onstation.org>
 - Balázs Úr <urbalazs@gmail.com>
 - Balázs Meskó <meskobalazs@fedoraproject.org>
 - Andika Triwidada <atriwidada@gnome.org>

Added/updated translations
 - ca, courtesy of Carles Ferrando Garcia
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jir Grönroos
 - gl, courtesy of marcos
 - hu, courtesy of Meskó Balázs
 - id, courtesy of Kukuh Syafaat
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Isaac Ferreira Filho
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Anders Jonsson
 - zh_TW, courtesy of Cheng-Chia Tseng

Shotwell 0.27.0 - 19 Jun 2017
  * Remove F-Spot import support
  * Create a commandline utility to test image transformations
  * Speed up color transformations a bit
  * Bump GTK+ requirement to 3.18 and remove deprecated functions
  * Clean-up histogram drawing code
  * Run thumbnailer with nice 19
  * Update VAAPI blacklisting for video thumbnailer and new plugin structure
  * Add configurable image background
  * Split several dialogs from shotwell.ui file
  * Move Tumblr to default plugin set
  * Remove some unnecessary memcpys on import
  * Add Meson build support
  * Some more ngettext for plurals
  * Add --fullscreen/-f option for viewer
  * Add option to install Ubuntu apport hook
  * Fix issue when importing to NTFS-backed vboxfs
  * Fix GSettings schema search path for running out-of-tree
  * Work around "Camera locked: -53" error on GNOME
  * Fix issue with missing highlight on dnd actions

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716448
 - https://bugzilla.gnome.org/show_bug.cgi?id=716499
 - https://bugzilla.gnome.org/show_bug.cgi?id=716547
 - https://bugzilla.gnome.org/show_bug.cgi?id=716599
 - https://bugzilla.gnome.org/show_bug.cgi?id=716708
 - https://bugzilla.gnome.org/show_bug.cgi?id=716830
 - https://bugzilla.gnome.org/show_bug.cgi?id=717767
 - https://bugzilla.gnome.org/show_bug.cgi?id=718809
 - https://bugzilla.gnome.org/show_bug.cgi?id=718846
 - https://bugzilla.gnome.org/show_bug.cgi?id=719020
 - https://bugzilla.gnome.org/show_bug.cgi?id=719031
 - https://bugzilla.gnome.org/show_bug.cgi?id=719240
 - https://bugzilla.gnome.org/show_bug.cgi?id=733652
 - https://bugzilla.gnome.org/show_bug.cgi?id=742563
 - https://bugzilla.gnome.org/show_bug.cgi?id=752008
 - https://bugzilla.gnome.org/show_bug.cgi?id=760868
 - https://bugzilla.gnome.org/show_bug.cgi?id=768938
 - https://bugzilla.gnome.org/show_bug.cgi?id=773267
 - https://bugzilla.gnome.org/show_bug.cgi?id=774650
 - https://bugzilla.gnome.org/show_bug.cgi?id=780811
 - https://bugzilla.gnome.org/show_bug.cgi?id=781567
 - https://bugzilla.gnome.org/show_bug.cgi?id=781897
 - https://bugzilla.gnome.org/show_bug.cgi?id=783250

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - gogo <trebelnik2@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Jeremy Bicha <jbicha@ubuntu.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Emin Tufan Çetin <etcetin@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Claude Paroz <claude@2xlibre.net>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - ca, courtesy of Jordi Mas
 - da, courtesy of Alan Mortensen
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - fr, courtesy of Claude Paroz
 - hr, courtesy of gogo
 - id, courtesy of Andika Triwidada
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - sk, courtesy of Dušan Kazik
 - sv, courtesy of Anders Jonsson
 - tr, courtesy of Emin Tufan Çetin

Shotwell 0.26.2 - 1 Jun 2017
  * Fix issue when minimizing publishing UI on Unity
  * Fix browsing on GVFS-mounted file systems
  * Fix missing linebreaks in comments when writing back meta-data
  * Fix crash when no import plugin is selected
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=719240
 - https://bugzilla.gnome.org/show_bug.cgi?id=733652
 - https://bugzilla.gnome.org/show_bug.cgi?id=781897
 - https://bugzilla.gnome.org/show_bug.cgi?id=783250

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Andika Triwidada <atriwidada@gnome.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - id, courtesy of Andika Triwidada
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

Shotwell 0.26.1 - 11 Apr 2017
  * Fix "About" wording
  * Fix missing Keyboard shortcuts
  * Viewer: Fix context menu

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=780415
 - https://bugzilla.gnome.org/show_bug.cgi?id=780811

All contributors to this release:
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jens Georg <mail@jensge.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - de, courtesy of Mario Blättermann
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sv, courtesy of Anders Jonsson

Shotwell 0.26.0 - 20 Mar 2017
  * Translation updates
  * Fix build on non-glibc systems
  * Fix missing optimisation in standard configure call

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=779844
 - https://bugzilla.gnome.org/show_bug.cgi?id=780116

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Josef Andersson <l10nl18nsweja@gmail.com>
 - gogo <trebelnik2@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - hr, courtesy of gogo
 - hu, courtesy of Balázs Úr
 - kk, courtesy of Baurzhan Muftakhidinov
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - sv, courtesy of Josef Andersson

Shotwell 0.25.92 - 13 Mar 2017
  * Fix navigation issue when deleting image in fullscreen view
  * Fix toolbox not visible on Mate in fullscreen view
  * Fix navigation in viewer when saving modified photo
  * Fix wrong macro in manpage
  * Clean-up some dependencies
  * Make it possible to enable/disable individual publishers
  * Remove obsolete UI file
  * Move all icons in the resource file
  * Move ui files into resources
  * Remove obsolete Glade helpers
  * Clean-up printing dialog a little
  * Piwigo: Append .jpg extension to published raw files
  * Fix keyboard accessibility of CCW rotation
  * Fix massive memory consumption when importing videos
  * Fix context menu of viewer
  * Fix a useless string copy
  * Use default measurements depending on locale when none are set
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=715501
 - https://bugzilla.gnome.org/show_bug.cgi?id=729091
 - https://bugzilla.gnome.org/show_bug.cgi?id=732663
 - https://bugzilla.gnome.org/show_bug.cgi?id=734816
 - https://bugzilla.gnome.org/show_bug.cgi?id=775158
 - https://bugzilla.gnome.org/show_bug.cgi?id=779558
 - https://bugzilla.gnome.org/show_bug.cgi?id=779844
 - https://bugzilla.gnome.org/show_bug.cgi?id=779989

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Jörg Frings-Fürst <debian@jff-webhosting.net>
 - Jordi Mas <jmas@softcatala.org>
 - GNOME Translation Robot <gnome-sysadmin@gnome.org>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - ca, courtesy of Jordi Mas
 - de, courtesy of Mario Blättermann
 - gd, courtesy of GunChleoc
 - hu, courtesy of Gabor Kelemen
 - kk, courtesy of Baurzhan Muftakhidinov
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

Shotwell 0.25.90 - 27 Feb 2017
  * Remove obsolete option to create new folders on Picasa web albums
  * Update Google API keys
  * Fix Youtube upload by porting to libgdata
  * Use embedded thumbnails in RAW files when default developer is set to
    Camera
  * Remove accidental raw development while importing
  * Fix "Export" menu accidentally being labelled as "Save As"

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=717305
 - https://bugzilla.gnome.org/show_bug.cgi?id=718248
 - https://bugzilla.gnome.org/show_bug.cgi?id=777910

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jiri Grönroos <jiri.gronroos@iki.fi>

Added/updated translations
 - fi, courtesy of Jiri Grönroos
 - pl, courtesy of Piotr Drąg
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

Shotwell 0.25.5 - 31 Feb 2017
  * Fix setting of gamma value and color matrix in libraw
  * Extract web publishing authenticators into separate library. That should
    make it possible to easily support UOA and GOA without patching Shotwell.
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=778174

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Debarshi Ray <debarshir@gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - da, courtesy of Alan Mortensen
 - pt_BR, courtesy of Enrico Nicoletto
 - sv, courtesy of Anders Jonsson

Shotwell 0.25.4 - 31 Jan 2017
  * Publishing: Use HTTPS everywhere
  * Translation updates

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Daniel Korostil <ted.korostiled@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - pl, courtesy of Piotr Drąg
 - uk, courtesy of Yuri Chornoivan

Shotwell 0.25.3 - 16 Jan 2017
  * Fix event page context menu
  * Try to guess character set of string when UTF-8 validation fails
  * Fix tags context menu
  * Properly switch menu bar when changing pages
  * Fix rating
  * Fix a critical about reparenting a popup menu
  * Fix sidebar context menu
  * Fix toolbar in camera import page
  * Update glade files for all publishers
  * Flickr: Simplify OAuth parsing by using libsoup
  * Fix accelerators not coming from menu model
  * Add <Ctrl>-f as shortcut for search bar
  * Remove AppMenu, needs more thinking about the design.
  * Flickr: Use human-readable size of upload quota
  * Fix leave fullscreen option
  * Fix upload issues with flickr
  * Fix several disabled actions when switching away from pages
  * Fix actions in fullscreen
  * Fix several typos
  * Piwigo: Fix title and comments on upload
  * Improved duplicate detection
  * Updated translations

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=718107
 - https://bugzilla.gnome.org/show_bug.cgi?id=775196
 - https://bugzilla.gnome.org/show_bug.cgi?id=776298
 - https://bugzilla.gnome.org/show_bug.cgi?id=776527
 - https://bugzilla.gnome.org/show_bug.cgi?id=776589
 - https://bugzilla.gnome.org/show_bug.cgi?id=776614
 - https://bugzilla.gnome.org/show_bug.cgi?id=776664
 - https://bugzilla.gnome.org/show_bug.cgi?id=776839

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marina Prado <mapraro93@hotmail.com>
 - Richard B. Kreckel <kreckel@ginac.de>
 - Marek Černocký <marek@manet.cz>
 - Dušan Kazik <prescott66@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Andreas Brauchli <andreas.brauchli@sensirion.com>
 - Amos Brocco <amos.brocco@gmail.com>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Alan Mortensen
 - es, courtesy of Daniel Mustieles
 - ko, courtesy of Kim Boram
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

Shotwell 0.25.2 - 12 Dec 2016
  * Fix missing About action
  * Fix setting of initial action state
  * Fix missing initialization of several states
  * Fix sort order not working
  * Fix a critical on startup
  * Fix initial sort order
  * Fix hiding of search toolbar
  * Fix rating filter menu initially being disabled
  * Use Gtk.Revealer for bottom toolbar
  * Fix a copy and paste error in the publishing result
  * Use Application menu
  * Do not make errors in git version check cause false identification of git
    versions
  * Fix debian scripts
  * Fix filter actions not being active
  * Fix initial search bar state not being persisted
  * Remove deprecated Gtk.IconFactory
  * Add missing keyboard shortcut for setting the background
  * Move some dialogs to GtkTemplate, preparing for issues with valac master
  * Fix context-sensitive label of background menu
  * Fix context-sensitive label of Undo and Redo menu
  * Fix context menu on import page

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=719279
 - https://bugzilla.gnome.org/show_bug.cgi?id=774901

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Marina Prado <mapraro93@hotmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - gogo <trebelnik2@gmail.com>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - da, courtesy of Alan Mortensen
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - hr, courtesy of gogo
 - hu, courtesy of Gabor Kelemen
 - pl, courtesy of Piotr Drąg

Shotwell 0.25.1 - 21 Nov 2016
  * Remove deprecated libsoup API
  * Remove extra box around WebKit authenticator view
  * Tumblr: Fix compile error with recent vala compiler
  * Thumbnailer: Fix an issue with accidental closing of file descriptors
  * Distribute misc.vapi
  * Use proper ngettext for plurals instead of hard-coded >1
  * Fix issue with unique index on MD5 and Format
  * Update Piwigo dialogs
  * Remove most of the deprecated API calls for GTK+ <= 3.14
  * Remove some useless warnings generated by Vala
  * Refactor Plugins to use a common approach to load panes from glade
  * Piwigo: Simplify category parsing
  * Remove GtkUIManager and Gtk*Action* from code
  * Fix a crash when clicking on tool window under Wayland
  * Translation updates

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=767181
 - https://bugzilla.gnome.org/show_bug.cgi?id=768271
 - https://bugzilla.gnome.org/show_bug.cgi?id=771788
 - https://bugzilla.gnome.org/show_bug.cgi?id=772223
 - https://bugzilla.gnome.org/show_bug.cgi?id=774057

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Marina Prado <mapraro93@hotmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Marek Černocký <marek@manet.cz>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Damian Pietras <bug1@daper.net>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - kk, courtesy of Baurzhan Muftakhidinov
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle

Shotwell 0.25.0 - 24 Oct 2016
  * Add contrast to improvements
  * Add a log when shifting events
  * Add a debug output of the current timezone
  * Fix compilation with recent Vala compiler
  * Fix focus handling of full-screen viewer
  * Remove obsolete CSS style property
  * Support ACDSEE tags
  * Use unicode characters
  * Remove deprecated calls
  * Silence two C warnings that are usually caused by valac
  * Refactor web authenticator
  * Spelling fixes
  * Piwigo: Add option to override SSL certificate handling
  * Piwigo: Add option to show the SSL certificate
  * Remove an old GTK+ work-around
  * Remove deprecated GSettings calls
  * Persist export dialog settings
  * Remove deprecated elements from export dialog
  * Port web plugins to new libsoup API
  * Fix libraw binding
  * Piwigo: Fix new album creation
  * Blacklist vaapi decoder to prevent crashes in video meta data extraction
  * Hide "Folder" side-bar when empty
  * Enable SQL debugging through environment variable

Added/Updated requirements:
  GExiv2 >= 0.10.4
  GCR-3
  GLib >= 2.40
  GTK+ >= 3.14

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716259
 - https://bugzilla.gnome.org/show_bug.cgi?id=716660
 - https://bugzilla.gnome.org/show_bug.cgi?id=718586
 - https://bugzilla.gnome.org/show_bug.cgi?id=719127
 - https://bugzilla.gnome.org/show_bug.cgi?id=762416
 - https://bugzilla.gnome.org/show_bug.cgi?id=765149
 - https://bugzilla.gnome.org/show_bug.cgi?id=767126
 - https://bugzilla.gnome.org/show_bug.cgi?id=767473
 - https://bugzilla.gnome.org/show_bug.cgi?id=771969
 - https://bugzilla.gnome.org/show_bug.cgi?id=772295
 - https://bugzilla.gnome.org/show_bug.cgi?id=772339
 - https://bugzilla.gnome.org/show_bug.cgi?id=772648

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - Josh Freeman <josh@twilightedge.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Benedikt M. Thoma <gnome@thomba.net>
 - Balázs Meskó <meskobalazs@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - ca, courtesy of Jordi Mas
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Meskó Balázs
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sv, courtesy of Anders Jonsson

Shotwell 0.24.0 - 20 Sep 2016
  * Fix a memory leak in library mode
  * Translation updates

All contributors to this release:
 - Marek Černocký <marek@manet.cz>
 - Jens Georg <mail@jensge.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Bernd Homuth <dev@hmt.im>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Bernd Homuth
 - es, courtesy of Daniel Mustieles

Shotwell 0.23.7 - 12 Sep 2016
  * Language updates

All contributors to this release:
 - Marek Černocký <marek@manet.cz>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jens Georg <mail@jensge.org>
 - Boram Kim <boramism@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - hu, courtesy of Balázs Úr
 - ko, courtesy of Kim Boram
 - pl, courtesy of Piotr Drąg
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

Shotwell 0.23.6 - 29 Aug 2016
  * Fix locale-dependent times
  * Use nl_langinfo instead of custom LConv
  * Fix renaming of tags and saved searches
  * Improve message shown on empty camera
  * Make thm a recognized extension for JPEG files

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=716533
 - https://bugzilla.gnome.org/show_bug.cgi?id=718796
 - https://bugzilla.gnome.org/show_bug.cgi?id=731480
 - https://bugzilla.gnome.org/show_bug.cgi?id=759246

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rūdolfs Mazurs <rudolfsm@src.gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Balázs Meskó <meskobalazs@gmail.com>

Added/updated translations
 - de, courtesy of Christian Kirbach
 - hu, courtesy of Balázs Úr
 - hu, courtesy of Meskó Balázs
 - lv, courtesy of Rūdolfs Mazurs
 - pl, courtesy of Piotr Drąg

Shotwell 0.23.5 - 15 Aug 2016
  * Remove obsolete files
  * Plugins: Load icons and GtkBuilder files from GResource
  * Offer a way to hide the bottom toolbar
  * Fix .desktop file generation
  * Use Gtk.MessageDialog's printf-style API for strings
  * Add SQL indexes to PhotoTable
  * Add Language headers to po files
  * Update INSTALL file
  * Really remove reference to external hmac_sha1
  * Disambiguate strings for time ranges
  * Implement linked tags
  * Make it more clear that something failed if SSL conncetion was not
    possible
  * Add option to filter by saved search
  * Explicitly link plugins to their dependencies
  * Fix typo in GSettings schema
  * Re-add --disable-extra-plugins configure option
  * Fix settings migrator and thumbnailer path
  * Bump debian compat for proper --libexecdir parameter

Bugs fixed in this release:
 - https://bugs.archlinux.org/task/50129
 - https://bugzilla.gnome.org/show_bug.cgi?id=717523
 - https://bugzilla.gnome.org/show_bug.cgi?id=717321
 - https://bugzilla.gnome.org/show_bug.cgi?id=741962
 - https://bugzilla.gnome.org/show_bug.cgi?id=742670
 - https://bugzilla.gnome.org/show_bug.cgi?id=747368
 - https://bugzilla.gnome.org/show_bug.cgi?id=750902
 - https://bugzilla.gnome.org/show_bug.cgi?id=767473
 - https://bugzilla.gnome.org/show_bug.cgi?id=768360

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - Yosef Or Boczko <yoseforb@src.gnome.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Landau <daniel@landau.fi>
 - burningTyger <burningTyger@users.noreply.github.com>
 - Andreas Brauchli <a.brauchli@elementarea.net>

Added/updated translations
 - af, courtesy of yorbajim
 - ast, courtesy of Xuacu Saturio
 - bg, courtesy of yorbajim
 - bn, courtesy of yorbajim
 - bn_IN, courtesy of runa
 - ca, courtesy of Jordi Mas
 - de, courtesy of Mario Blättermann
 - en_GB, courtesy of yorbajim
 - et, courtesy of yorbajim
 - gu, courtesy of Ankit Patel
 - he, courtesy of Yosef Or Boczko
 - hi, courtesy of Rajesh Ranjan
 - hr, courtesy of yorbajim
 - it, courtesy of milo
 - lv, courtesy of Rūdolfs Mazurs
 - mk, courtesy of yorbajim
 - ml, courtesy of Ani Peter
 - mr, courtesy of sandeeps
 - nn, courtesy of unhammer
 - or, courtesy of Manoj Kumar Giri
 - pa, courtesy of asaini
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - sk, courtesy of Dušan Kazik
 - sl, courtesy of ikriznar
 - sr@latin, courtesy of Miroslav Nikolić
 - th, courtesy of yorbajim
 - zh_HK, courtesy of Cheng-Chia Tseng

Shotwell 0.23.4 - 20 Jul 2016
  * Plugins: Fix linking error

Shotwell 0.23.3 - 18 Jul 2016

  * libraw: Fix binding of ProcessedImage.data
  * graw: Prevent needless array duplication
  * Fix screenshot URLs in appdata
  * db: Add option to trace SQL statements
  * Change build system to autotools
  * Add help, appdata, gsettings and desktop files to translation system
  * Change way help is built and installed
  * Always install the manpage
  * Several translation fixes
  * Make message more clear that there are no photos matching a filter

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=715578
 - https://bugzilla.gnome.org/show_bug.cgi?id=717064
 - https://bugzilla.gnome.org/show_bug.cgi?id=719122
 - https://bugzilla.gnome.org/show_bug.cgi?id=719200
 - https://bugzilla.gnome.org/show_bug.cgi?id=730665
 - https://bugzilla.gnome.org/show_bug.cgi?id=730669
 - https://bugzilla.gnome.org/show_bug.cgi?id=740873
 - https://bugzilla.gnome.org/show_bug.cgi?id=741508
 - https://bugzilla.gnome.org/show_bug.cgi?id=744251
 - https://bugzilla.gnome.org/show_bug.cgi?id=744254
 - https://bugzilla.gnome.org/show_bug.cgi?id=744255
 - https://bugzilla.gnome.org/show_bug.cgi?id=768054

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Tiago Santos <tiagofsantos81@sapo.pt>
 - Stas Solovey <whats_up@tut.by>
 - Rico Tzschichholz <ricotz@ubuntu.com>
 - Lorenz Adam Damara <lorenzadam@resolution-consulting.co.id>
 - Jeremy Bicha <jbicha@ubuntu.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Andreas Brauchli <a.brauchli@elementarea.net>

Added/updated translations
 - de, courtesy of Christian Kirbach
 - es, courtesy of Daniel Mustieles
 - gu, courtesy of Ankit Patel
 - id, courtesy of Andika Triwidada
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - pt, courtesy of Tiago Santos
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik

Shotwell 0.23.2 - 20 Jun 2016

  * Use yelp-build to generate HTML docs
  * Remove gphoto-2.4 support
  * Fix background color drawing (#766864)
  * Port GtkNotebook to GtkStack (#744289)
  * Fix missing scroll bars in events (#766864)
  * Fix URLs in manpage
  * Clean up external functions
  * Port librest's internal hmac_sha1 implementation to Vala
  * Fix multiplication of symbols in plugins
  * Request "popup" login in Facebook
  * Update help regarding publishing permissions in Facebook (#766919)
  * Add source SVG for new app icons
  * Update logo for help
  * Remove executable flag on images
  * Piwigo: Let libsoup parse the cookie
  * Remove string utility functions in publishing plugins
  * Remove a libgee work-around, bump to 0.10 minimum version
  * Make filter toolbar buttons contain text and image
  * Move commonly used functions into shared library to prevent multiple
    definition of symbols

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=744289
 - https://bugzilla.gnome.org/show_bug.cgi?id=766864
 - https://bugzilla.gnome.org/show_bug.cgi?id=766919
 - https://bugzilla.gnome.org/show_bug.cgi?id=767042

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Wolfgang Steitz <wsteitz@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Enrico Nicoletto <liverig@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Abel 'Akronix' Serrano Juste <akronix5@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - es, courtesy of Daniel Mustieles
 - id, courtesy of Andika Triwidada
 - pt_BR, courtesy of Enrico Nicoletto
 - sk, courtesy of Dušan Kazik
 - sv, courtesy of Anders Jonsson

Added/Updated dependencies
 - libgee minimal version bumped to 0.10

Shotwell 0.23.1 - 23 May 2016
-----------------------------

  * Update Facebook application id. Facebook integration works again (#748991)
  * Remove obsolete VAPIs
  * Remove custom WEXITSTATUS implementation
  * Fix an assert in file monitor caused by renaming a file (#759403)
  * Rename "Yorba website" to "Shotwell website" in About dialog so it
    actually says what it does.
  * Change the way how shotwell checks whether it runs uninstalled to allow
    running with symlinks (#747374)
  * Copyright was transferred from Yorba to SFC
  * Do not block closing the viewer if there was an issue loading the photo
    (#740436)
  * Remove remaining references to .gnome2 directory (#766339)
  * Update icons to hires versions and add a symbolic one (#717326)
  * If we can't find any pixbuf representation of the Photo, push an empty
    pixmap to force the display of the error message (#766338)
  * Fix a critical when get_metadata returns null
  * Remove deprecated calls to gtk_widget_render_icon() (#719188)
  * Panic out if we cannot open the file in the viewer
  * Make toolbar use GtkOverlay instead of implementing a custom pop-up to
    prevent all kinds of issues with overlaying other applications or
    toolboxes (#756126)
  * Remove criticals caused by mouse hiding algorithm

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=717326
 - https://bugzilla.gnome.org/show_bug.cgi?id=740436
 - https://bugzilla.gnome.org/show_bug.cgi?id=747374
 - https://bugzilla.gnome.org/show_bug.cgi?id=748991
 - https://bugzilla.gnome.org/show_bug.cgi?id=756126
 - https://bugzilla.gnome.org/show_bug.cgi?id=759403
 - https://bugzilla.gnome.org/show_bug.cgi?id=766338
 - https://bugzilla.gnome.org/show_bug.cgi?id=766339

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Tiago Santos <tiagofsantos81@sapo.pt>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Balázs Meskó <meskobalazs@gmail.com>
 - Adam Dingle <adam@medovina.org>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Meskó Balázs
 - kk, courtesy of Baurzhan Muftakhidinov
 - pl, courtesy of Piotr Drąg
 - pt, courtesy of Tiago Santos
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik

Shotwell 0.23.0 - 25 April 2016
-------------------------------

  * Allow thinner minimum sidebar (#718611)
  * Check .cache directory for read/write permissions (#737747)
  * Fix crash during metadata update (#739917)
  * Fixed Crop Ribbon / Control not visible (#747201)
  * Port to webkit2gtk-4.0 (#751709)
  * Have all soup sessions validate TLS certificates
  * Remove shell magic from Makefile
  * Remove calls to Posix.system()
  * Documentation fixes and improvements (#764800)
  * Fix CSS issue introduced with previous CSS improvements (#747637)
  * Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header setting is
    not set (#749874)
  * Use proper umask to create XDG_USER_CACHE and XDG_USER_DATA when they not
    exist (#765182)
  * Don't build the plugin twice
  * Call pkg-config only once, not every compiler call
  * Fix parallel builds not to build plugins several times over
  * Fix contradicting license in rejected.svg (#757643)

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=747637
 - https://bugzilla.gnome.org/show_bug.cgi?id=749874
 - https://bugzilla.gnome.org/show_bug.cgi?id=751709
 - https://bugzilla.gnome.org/show_bug.cgi?id=757643
 - https://bugzilla.gnome.org/show_bug.cgi?id=764800
 - https://bugzilla.gnome.org/show_bug.cgi?id=765182

All contributors to this release:
 - Marek Černocký <marek@manet.cz>
 - Jens Georg <mail@jensge.org>
 - Wolfgang Steitz <wsteitz@gmail.com>
 - Wolfgang Steitz <wolfer7@web.de>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Stas Solovey <whats_up@tut.by>
 - Jim Nelson <jim@yorba.org>
 - Tim Waugh <twaugh@redhat.com>
 - Mayela Miranda <mayela0x14@gmail.com>
 - Jordi Mas <jmas@softcatala.org>
 - Trần Ngọc Quân <vnwildman@gmail.com>
 - Michael Catanzaro <mcatanzaro@igalia.com>
 - Yosef Or Boczko <yoseforb@src.gnome.org>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Kjartan Maraas <kmaraas@gnome.org>
 - Kim Boram <boramism@gmail.com>
 - Josef Andersson <josef.andersson@gmail.com>
 - Felipe Braga <fbobraga@gmail.com>
 - Christian Kirbach <Christian.Kirbach@gmail.com>
 - Brian Masney <masneyb@onstation.org>
 - Baurzhan Muftakhidinov <baurthefirst@gmail.com>
 - Aurimas Černius <aurisc4@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Trinh Anh Ngoc <atw1990@gmail.com>
 - Timo Jyrinki <timo@debian.org>
 - Samir Ribic <samir.ribic@etf.unsa.ba>
 - Robert Ancell <robert.ancell@canonical.com>
 - Pedro Albuquerque <palbuquerque73@gmail.com>
 - Pau Iranzo <paugnu@gmail.com>
 - Muhammet Kara <muhammetk@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Maria  Mavridou <mavridou@gmail.com>
 - Josef Andersson <josef.andersson@fripost.org>
 - Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
 - Jiri Grönroos <jiri.gronroos@iki.fi>
 - Iain Lane <iain@orangesquash.org.uk>
 - Gábor Kelemen <kelemeng@openscope.org>
 - Eduardo Arnold <eduardoarnoldh@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Claude Paroz <claude@2xlibre.net>
 - Cheng-Chia Tseng <pswo10680@gmail.com>
 - Cheng-Chia Tseng <>
 - Changwoo Ryu <cwryu@debian.org>
 - Cédric Valmary <cvalmary@yahoo.fr>
 - Boram Kim <boramism@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Balázs Meskó <meskobalazs@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Alexandre Franke <alexandre.franke@gmail.com>

Added/updated translations
 - bs, courtesy of Samir Ribic
 - ca, courtesy of Pau Iranzo
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - de, courtesy of Wolfgang Stoeggl
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - fi, courtesy of Jiri Grönroos
 - fr, courtesy of Claude Paroz
 - he, courtesy of Yosef Or Boczko
 - hu, courtesy of Gabor Kelemen
 - hu, courtesy of Meskó Balázs
 - kk, courtesy of Baurzhan Muftakhidinov
 - kn, courtesy of Shankar
 - ko, courtesy of Kim Boram
 - lt, courtesy of Aurimas Černius
 - nb, courtesy of Runar Ingebrigtsen
 - oc, courtesy of Cédric Valmary (totenoc.eu)
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - pt, courtesy of Pedro Albuquerque
 - ru, courtesy of Stas Solovey
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Josef Andersson
 - tr, courtesy of Muhammet Kara
 - vi, courtesy of Trần Ngọc Quân
 - zh_TW, courtesy of Cheng-Chia Tseng

Changed dependencies:
 - webkit2gtk instead of webkitgtk

Shotwell 0.22.0 - 23 March 2015
-------------------------------

  * Improved metadata support for Facebook upload (#742163)
  * Saved search now properly supports text is-set, not-set (#743924, #743923)
  * Import title, exposure time when available
  * User interface improvements (#744291, #719284, more)
  * Sort photos by filename (#717878)
  * Updated translations


Shotwell 0.21.0 - 2 February 2015
---------------------------------

  * User interface refresh (#742326, #742443)
  * Fix Shotwell Viewer .desktop file (#743799)
  * Natural sorting of photo titles (#717960)
  * Improved video thumbnailer (#739396, #741821)
  * Updated translations


Shotwell 0.20.2 - 31 October 2014
---------------------------------

  * Set Desktop Slideshow dialog resource now included in distribution (#739095)
  * Check for rendering failure in video thumbnailer (#738245)
  * Updated translations


Shotwell 0.20.1 - 2 October 2014
--------------------------------

  * Corrects problems with navigating photos in full-screen mode (#737092)
  * Better memory utilization via more conservative pixbuf cache (#715198)
  * Fixes minor bugs detected by better Vala code analysis


Shotwell 0.20.0 - 16 September 2014
-----------------------------------

  * Fix crash when deleting a photo in Shotwell Photo Viewer
  * Fix crash when deleting a photo
  * Better detection of corrupt files while importing
  * Updated translations


Shotwell 0.19.0 - 21 August 2014
--------------------------------

  * Support for Rajce.net and Gallery 3 photo services added
  * Set background image for lock screen
  * Better detection of corrupt images during import
  * Various bug fixes
  * Updated translations


Shotwell 0.18.1 - 30 Jun 2014
-----------------------------

  * Fix Flickr publishing errors due to Flickr moving to HTTPs-only
  * Fix crash when updating photo data/time
  * Fix crash due to nested tag and changing sidebar selection
  * Corrected URLs to point to new gnome.org pages


Shotwell 0.18.0 - 17 March 2014
-------------------------------

  * Compile and install translated help files
  * Updated translations


Shotwell 0.17.2 - 4 March 2014
------------------------------

  * UNIX pipe unnecessarily left open for each imported video
  * Improved searching for event comments and diacritics
  * Update translations


Shotwell 0.17.1 - 17 February 2014
----------------------------------

  * Updated translations
  * Parent folder names as search keywords rolled back (see bgo#722756)


Shotwell 0.17.0 - 4 February 2014
---------------------------------

  * Include parent folder names for keyword search
  * Tumblr publishing fixed
  * Bug fixes
  * Updated translations


Shotwell 0.15.1 - 19 November 2013 - "You're a Cashier!"
--------------------------------------------------------

  * Install Tumblr plugin resources
  * Fix crash when video thumbnails are being inspected and created


Shotwell 0.15.0 - 3 October 2013 - "Fruit's a Gamble"
-----------------------------------------------------

  * Copy and paste color adjustments between photos
  * Highlights detail adjustment
  * YouTube plugin now uses OAuth / OpenID
  * Videos in Missing Files now re-import properly
  * Improvements when thumbnailing videos
  * Numerous bug fixes


Shotwell 0.14.1 - 3 April 2013 - "The Core, Stem, Seeds, Everything"
----------------------------------------------------------------------------

  * Fixes a critical issue where Shotwell could close unexpectedly
    when working with RAW photos in direct-edit mode
  * The Facebook Connector now recovers smoothly from type 7
    errors
  * EXIF-oriented photos uploaded to Facebook now appear in their
    correct orientation, even when the strip metadata option is
    turned on in the Facebook Connector
  * Fixes an issue where incorrect view filter settings were
    applied on tag and event pages
  * The Camera Developer is now disabled for RAW images that lack
    a suitable paired or embedded JPEG
  * Updated translations for many languages, including an updated
    Catalan translation that corrects a problem where incorrect
    event dates were displayed
  * Assorted smaller bug fixes


Shotwell 0.14.0 - 18 March 2013 - "The Baby Shower"
----------------------------------------------------------------------------

  * A folder tree in the sidebar provides a directory-hierarchy
    view of your Shotwell library
  * Dramatically improved user experience for RAW photographers:
    long-standing bugs involving RAW developer switching have been
    fixed
  * Comprehensive logging of photo and video import, including the
    ability to save an import log file to disk. The log tracks which
    files were detected as duplicates as well as files that couldn't
    be imported due to disk or camera problems.
  * The Facebook Connector now uses the Facebook Graph API,
    resulting in a smoother, more stable experience uploading photos
    and videos to Facebook. As a bonus, Shotwell photo titles now
    appear as Facebook photo captions!
  * The Shotwell video subsystem now relies on GStreamer 1.0, making
    for easier, more stable video import, better video thumbnails,
    and better handling of video metadata
  * New slideshow effects, improved Piwigo support, the ability to
    show and hide the main Shotwell sidebar, and numerous bug fixes
    and translation updates!


Shotwell 0.13.1 - 5 October 2012 - "A Date at the Diplomat's Club"
----------------------------------------------------------------------------

  * Fixes an issue in which Shotwell would crash after deleting
    all photos present in a view
  * Fixes an issue where Shotwell would not include all
    selected photos during a Nautilus "Send To..." export
    operation
  * Corrects a problem in which the file chooser dialog
    used to select Shotwell's library location would
    inappropriately select the parent directory of the chosen
    directory
  * Shotwell now properly inhibits the system screensaver when
    playing a slideshow
  * Fixes an issue in which the search filter bar could become
    invisible even though a filter was being applied
  * A progress bar now correctly appears during long batch
    rotate and auto-enhance operations
  * Shotwell no longer crashes when certain kinds of malformed
    responses are received from remote servers during photo
    publishing
  * Corrected translation and desktop integration errors


Shotwell 0.13.0 - 19 September 2012 - "Peanuts, Coffee, Soda, and Magazines"
----------------------------------------------------------------------------

  * The Shotwell Extras plugins now include support for
    publishing photos to Tumblr
  * Shotwell correctly handles dates before 1969
  * Shotwell lets you remove sensitive information from photos
    before publishing them to social media sites
  * Shotwell regenerates thumbnails automatically, making 
    migrating libraries between computers easier
  * The Picasa connector now uses OAuth authentication for
    enhanced security
  * Bug fixes and translation updates


Shotwell 0.12.3 - 9 May 2012 - "It was a million to one shot, Doc."
----------------------------------------------------------------------------

  * Corrects an issue where tags could be inappropriately removed from a
    library.
  * Enhances support for AVCHD-capable cameras.
  * Prevents a soft lockup that could occur when certain very dark images
    were autoenhanced.
  * Corrects an issue where pressing the zoom hotkeys in certain parts
    of the application could cause a crash.


Shotwell 0.12.2 - 9 April 2012 - "It's Made From Fusilli Pasta"
----------------------------------------------------------------------------

  * Corrects an issue where graphical corruption of the UI could
    occur if the user navigated away from a camera page while camera
    previews were being generated.
  * Adds enhanced support for the Unity desktop environment.
  * Clarified several strings.
  * The application now recovers gracefully from corrupted tag data. 


Shotwell 0.12.1 - 28 March 2012 - "Oh No, Not The Knuckle..."
----------------------------------------------------------------------------

  * Corrects a critical issue where the application could not be started in
    direct-edit mode.


Shotwell 0.12.0 - 27 March 2012 - "A Counter-Clockwise Swirl"
----------------------------------------------------------------------------

  * Adds straighten tool
  * Ported from GTK 2 to GTK 3
  * Better handling of importing from Android devices
  * Facebook and Flickr login now use OAuth authentication
  * Numerous enhancements to the plugin subsystem
  * The F-Spot importer is now implemented as a plugin
  * Many, many bugfixes and stability enhancements


Shotwell 0.11.6 - 3 November 2011 - "I know you can't, and I'm positive that
                                     you won't"
----------------------------------------------------------------------------

  * Fixes a critical bug in which adding or modifying tags in the
    single-photo view could result in the loss of tag data


Shotwell 0.11.5 - 18 October 2011 - "I hate anyone that ever had a pony"
------------------------------------------------------------------------

  * Fixes a collection concurrent access issue that could cause
    Shotwell to crash during F-Spot import for users still
    affected by this issue even after installing Shotwell 0.11.4.


Shotwell 0.11.4 - 13 October 2011 - "The Pony Remark"
---------------------------------------------------------------------

  * Fixes two collection concurrent access issues that could cause
    Shotwell to crash during F-Spot import.


Shotwell 0.11.3 - 11 October 2011 - "All Old People Steal"
---------------------------------------------------------------------

  * Fixes a critical issue where Shotwell could crash immediately
    following a photo import
  * Fixes a critical issue where Shotwell could crash if the user
    entered a tag name containing a slash ("/") character
  * Long error messages in the Publishing dialog box are now wrapped
    correctly


Shotwell 0.11.2 - 20 September 2011 - "Strap them to a Rickshaw"
---------------------------------------------------------------------

  * Increases stability working with hierarchical tags
  * Importing hierarchical tags from F-Spot now works properly
  * Fixes "server redirect contained no session key" errors in
    the Facebook Connector
  * Corrects problems with item counts over mixed media
  * Various small fixes and enhancements


Shotwell 0.11.1 - 8 September 2011 - "It's Been Flagged"
---------------------------------------------------------------------

  * RAW+JPEG pairing now works on file import
  * Startup crashes fixed
  * Hierarchical tag issues resolved
  * RAW developer bugs fixed
  * Resolved internationalization problems
  * Various small fixes and enhancements


Shotwell 0.11.0 - 23 August 2011 - "The Bookstore"
---------------------------------------------------------------------

  * Hierarchical tags
  * Support for RAW+JPEG and selectable RAW developer
  * Switched from GConf to GSettings
  * "Hide Photos Already Imported" is now persistent
  * New Saved Search options
  * Mimics no longer stored in home directory
  * Added support for BMP format
  * Many, many bugfixes


Shotwell 0.10.1 - 3 June 2011 - "A Vacation From Ourselves"
---------------------------------------------------------------------

  * Fixes "Hide Photos Already Imported"
  * Multiple editing bugs fixed
  * Resolves crash when two or more cameras have the same name
  * Documentation now includes saved searches
  * Piwigo bugs fixed
  * Translation updates


Shotwell 0.10 - 26 May 2011 - "The Butter Shave"
---------------------------------------------------------------------

  * Dynamic view of photo library through saved search feature
  * Automatic database backup
  * Adjust date/time for videos
  * Added Valadate testing framework
  * Shotwell video thumbnailer eliminates Totem dependency
  * Crop tool is now more flexible
  * Filenames no longer used as titles on Facebook and Picasa uploads
  * Translation corrections
  * Many bug fixes


Shotwell 0.9.3 - 21 April 2011 - "Without Rules There's Chaos"
---------------------------------------------------------------------

  * Resolves issue where setting the desktop background didn't work in Gnome3
  * Mimics are now deleted when a RAW photo is removed
  * Event dates are now only shown once in the Event view
  * Fixes a number of translation issues


Shotwell 0.9.2 - 11 April 2011 - "He's a Mystery Wrapped in a Twinkie"
---------------------------------------------------------------------

  * Resolves translation issue where shotwell.mo is installed in wrong location
  * Fixes issue where cancelling Flickr upload can crash Shotwell
  * Fixes issue where creating a Picasa Web album with an ampersand in the name 
    crashes Shotwell
  * Resolves bug where selecting "Publish" in single photo mode publishes the 
    entire library instead of the selected photo
  * Async I/O in publishing operations is now stopped when the user cancels the 
    operation
  * Issue fixed on Fedora where the text was cut off in publishing dialog
  * Fixes issue with ratings filter where it didn't function when the search bar
    was hidden


Shotwell 0.9.1 - 4 April 2011 - "All I Did was Hand Someone a Bag"
---------------------------------------------------------------------

  * Fixes many crashes and other issues in publishing plugins.
  * Fixes issues where paths and filenames are not displayed correctly after a 
    failed import.
  * Fixed issue where text search in event and camera import pages was a string 
    match instead of a keyword match.
  * For enhanced compatibility with GNOME 3, the desktop name of the Shotwell 
    application has changed from "Shotwell Photo Manager" to simply "Shotwell".
  * Shotwell now provides a configure script option to set the name of the system 
    library directory to either lib or lib64.
  * Enhanced visibility of red-eye reticle.
  * Fixed issue where the Adjust palette could be positioned partially off-screen
  * Plugins now respect --debug switch in configure script.
  * The event containing undated photos could be incorrectly labelled "(null)" in 
    the events directory page.


Shotwell 0.9.0 - 22 March 2011 - "The Big Salad"
---------------------------------------------------------------------

  * New search bar can filter by media type, rating, and text matching.
    (Titles, filename, tag and event names are searched.)
  * TIFF support
  * Extensible plugin framework for Web publishing and slideshow transitions.
  * Print multiple photos, and multiple photos per page.
  * Configurable user directory pattern during import.
  * Edit multiple photo titles at once.
  * Improved rendering of underexposed RAW photos.
  * Various improvements and bug fixes.


Shotwell 0.8.1 - 10 January 2011 - "The Airing of Grievances"
---------------------------------------------------------------------

  * Fixes a problem where Shotwell could crash unexpectedly at
    startup or when reading/writing metadata to files.
  * Fixes a problem where Shotwell could hang when importing
    voice-annotated videos.
  * Fixes a problem where Shotwell failed to import date and time
    information for some camera-generated MP4 videos.
  * Shotwell can now delete video files from camera memory.
  * Shotwell now supports the 3GP video format common on mobile
    phones and RAW files with the SRW suffix generated by Samsung
    cameras.
  * Translation fixes and updates.


Shotwell 0.8.0 - 23 December 2010 - "The Festivus for the Rest of Us"
---------------------------------------------------------------------

  * Video support for Ogg, AVI, MP4, Quicktime, and WMV files.
  * Upload videos to major Web services, including YouTube, Facebook, Flickr,
    and PicasaWeb.
  * Runtime monitoring of library directory and auto-import of newly created
    files.
  * Background writing of metadata (tags, titles, rating, orientation, exposure
    date) to master files (user configurable).
  * Flagging of photos for batch operations.
  * Set multiple photos to desktop background slideshow.
  * Numerous translation updates.
  * Various bug fixes.


Shotwell 0.7.2 - 10 September 2010
----------------------------------

  * Fixed major startup problem when the user's Pictures directory is actually
    a symbolic link.
  * Fixed potential crasher when the user's Pictures directory contains a
    large number of subdirectories.
  * No longer asking if copying or linking if importing from Pictures directory
    (which will always be linked).
  * Fixed issue when logging in to PicasaWeb with a password with a '+'
    character.
  * Fixed update problem when using an external editor on a photo that was
    edited externally in an earlier session.
  * Various bug fixes.
  * Numerous translation updates.


Shotwell 0.7.1 - 26 August 2010
-----------------------------

  * Fixed a critical bug that caused Shotwell to crash when deleting the
    only photo in an event
  * F-Spot import now correctly interprets older databases
  * Fixed an issue where pressing F11 would not exit full-screen mode
  * Translation updates for several languages
  * Updated documentation


Shotwell 0.7.0 - 20 August 2010
-----------------------------

  * Migration support for F-Spot users: Shotwell can import photos directly
    from your F-Spot library, preserving tags and ratings.
  * Photos can be rated on a 1-5 star scale or marked as rejected. A filter
    button supports viewing only photos of a specified rating or better.
  * A new Last Import page in the sidebar gives you instant access to your
    most recently imported photo roll.
  * Sidebar functionality and appearance have been improved with new icons
    and inline renaming.
  * Shotwell scans your library files at startup, looking for changes.
    Maintains library consistency when working with photos in other
    applications.


Shotwell 0.6.1 - 30 June 2010
-----------------------------

  * Added Lithuanian and Serbian translations, updated Italian
    and Spanish translations
  * Fixed a problem with reverting to the default library
    directory
  * Added more zooming shorcuts
  * Shotwell no longer offers to delete photos that failed to
    import from a camera
  * Photos emptied from trash no longer reappear


Shotwell 0.6.0 - 28 June 2010
-----------------------------

  * Basic support for RAW images, including import support for all common
    formats like CR2 and DNG
  * Full support for working with PNG images
  * Users can now zoom into photos to reveal latent detail
  * A new preferences dialog gives users exceptional control over Shotwell's
    functionality and appearance
  * Users can now open photos in an external editor, such as the GIMP, from
    within Shotwell
  * Photo tags and titles are imported automatically from XMP and IPTC metadata
  * A new photo trash can


Shotwell 0.5.2 - 11 May 2010
----------------------------

  * Added Czech, Finnish, Greek, and Ukrainian translations.  Updated Russian 
    translation.
  * Updated codebase to enable building on Vala 0.8.x. Vala 0.8.0 or later is
    now required to build Shotwell.


Shotwell 0.5.1 - 16 March 2010
------------------------------

  * Minor Windows-specific release fixing an installer bug.  No changes to Linux
    version.


Shotwell 0.5.0 - 11 March 2010
------------------------------

  * Photos can be tagged and organized by tag, creating a new tool for managing
    your photo collection
  * Printing
  * Photos can now be published to Google's Picasa Web Albums service
  * Photo exposure date & time can be set and shifted
  * Photos can be set as your desktop background directly from Shotwell
  * Photo import runs in the background, making imports smoother and more fluid
  * Publishing photos to web services is more responsive
  * Numerous bug fixes


Shotwell 0.4.3 - 18 January 2010
--------------------------------

  * Updated Italian and French translations.
  * Windows theme installed correctly.
  * Problems unmounting camera fixed.


Shotwell 0.4.2 - 4 January 2010
-------------------------------

  * Added Bulgarian, Portuguese, and Slovak translations.  Updated 
    German translation.
  * Windows installation fixed.
  * Crash when deleting photos from camera fixed.


Shotwell 0.4.1 - 24 December 2009
---------------------------------

  * Minor update adding a script missing in the 0.4.0 release.


Shotwell 0.4.0 - 23 December 2009
---------------------------------

  * Facebook and Flickr publishing.
  * Events may now be split and merged.
  * Alpha-release of Windows port now available.
  * Undo/redo.
  * Mark photos as favorite or hidden.  View only favorites or show hidden
    photos.
  * Duplicate photos.
  * Numerous bug fixes.


Shotwell 0.3.2 - 11 November 2009
---------------------------------

  * Loosened photo pipeline assertion that checked for pixbuf scaling.
  * Better error handling for situation where the HAL daemon (hald) is not
    running or ready.


Shotwell 0.3.1 - 9 November 2009
--------------------------------

  * Makefile changes to facilitate packaging.
  * Warnings caught by Vala 0.7.8 corrected.
  * Toolbar items now marked "important" where appropriate.
  * Binary dependencies corrected in Debian packaging.


Shotwell 0.3.0 - 2 November 2009
--------------------------------

  * Major update with numerous feature additions and performance and 
    scalability enhancements.
  * Auto enhance button, shadows control, and histogram contrast expansion now
    available.
  * Hierarchical event tree in sidebar.  Events can now be renamed.
  * Background readahead to display full-window and fullscreen photos faster.
  * Crop aspect ratios.
  * Basic information pane to display photo title, exposure time, dimensions,
    and file size.
  * Configurable slideshow delay.
  * Direct edit mode.  Shotwell can open any JPEG file, move between other
    JPEGS in the same directory, and edit them with the same tools available in
    the photo manager.
  * Better keyboard handling for selecting photos and moving between pages on
    the sidebar.
  * In camera view, option to hide photos already imported into Shotwell.
    User now offered full report of imported photos and asked if they wish to
    delete the photos from the camera.
  * User-configurable items now stored persistently via GConf.
  * Code internationalized.  Partial French translation now available.


Shotwell 0.2.0 - 7 August 2009
------------------------------

  * Color histogram now available in adjustment tool.
  * Drag-and-drop now supports the modifier keys for linking and asking
    which operation to perform.
  * Shotwell no longer uses a hardcoded directory for storing imported
    photos.
  * A nasty bug causing the X server to crash under compiz was fixed.
    (#380)
  * Support for libgee-0.3.0.


Shotwell 0.1.2 - 3 August 2009
------------------------------

  * Red-eye reduction feature now available.
  * File/Import From Folder offers one more way to import photos into the
    library.
  * Color adjustment (exposure/saturation/tint/temperature) now available.
  * Support for Vala 0.7.5.


Shotwell 0.1.1 - 30 June 2009
-----------------------------

  * Bug fix: Dragging a selection band to the bottom of the window to start
    scrolling results in compiz crashing.  This fixes that problem, although
    another reported problem still exists (#380).
  * Changed package dependency from vala-1.0 to gee-1.0.  Although Vala is
    required to build Shotwell, it does not need to be installed to execute
    it.  Gee provides the collections library Shotwell requires.
  * Fixed code to compile with Vala 0.7.4.


Shotwell 0.1.0 - 26 June 2009
-----------------------------

  * Initial release.  Features include:
    - Importing photos from file manager or camera via libgphoto2.
    - Photos automatically sorted into time-grouped events.
    - Thumbnails viewable at various sizes.
    - Sort by photo name or date of exposure.
    - Fullscreen mode.
    - Photos may be rotated or cropped.
    - Export photos as stored or at varying dimensions and JPEG quality.
    - Desktop integration with Applications menu and media device handling.

